Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## phelps.lang.reflect
Class Field_info

    java.lang.Object
      phelps.lang.reflect.Field_info

public class Field_info
extends java.lang.Object

Version:
  $Revision$ $Date$

Field Summary
`static int` | `ACC_FINAL`
`static int` | `ACC_PRIVATE`
`static int` | `ACC_PROTECTED`
`static int` | `ACC_PUBLIC`
`static int` | `ACC_STATIC`
`static int` | `ACC_TRANSIENT`
`static int` | `ACC_VOLATILE`
`short` | `access_flags`
`Attribute_info[]` | `attributes`
`java.lang.String` | `descriptor`
`java.lang.String` | `name`

Constructor Summary
`Field_info(Cp_info[] cp, ClassFile cf)`

Method Summary
`static java.lang.String` | `access2String(int access)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ACC_PUBLIC

    public static final int ACC_PUBLIC

See Also:
  Constant Field Values

### ACC_PRIVATE

    public static final int ACC_PRIVATE

See Also:
  Constant Field Values

### ACC_PROTECTED

    public static final int ACC_PROTECTED

See Also:
  Constant Field Values

### ACC_STATIC

    public static final int ACC_STATIC

See Also:
  Constant Field Values

### ACC_FINAL

    public static final int ACC_FINAL

See Also:
  Constant Field Values

### ACC_VOLATILE

    public static final int ACC_VOLATILE

See Also:
  Constant Field Values

### ACC_TRANSIENT

    public static final int ACC_TRANSIENT

See Also:
  Constant Field Values

### access_flags

    public short access_flags

### name

    public java.lang.String name

### descriptor

    public java.lang.String descriptor

### attributes

    public Attribute_info[] attributes

Constructor Detail

### Field_info

    public Field_info(Cp_info[] cp,
                      ClassFile cf)

Method Detail

### access2String

    public static java.lang.String access2String(int access)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD